<template>
  <div class="weather-app" :class="name">
    <div class="condition">
      <nav class="level">
        <div class="level-left">
          <a class="button w-transparent w-borderless t-white">
              <span class="icon">
                <i class="basicfill basicfill-power"></i>
              </span>
            </a>
        </div>
        <div class="level-right">
            <!-- <a class="button w-transparent w-borderless t-white">
              <span class="icon">
                <i class="basicfill basicfill-more"></i>
              </span>
            </a> -->
            <div class="dropdown is-right  is-hoverable">
              <div class="dropdown-trigger">
                <a class="button w-transparent w-borderless t-white">
                  <span class="icon">
                    <i class="basicfill basicfill-more"></i>
                  </span>
                </a>
              </div>
              <div class="dropdown-menu" id="dropdown-menu4" role="menu">
                <div class="dropdown-content">
                  <div class="dropdown-item">
                    <label class="checkbox">
                      <input type="checkbox">
                      Remember me
                    </label>
                  </div>
                  <div class="dropdown-item">
                    <label class="checkbox">
                      <input type="checkbox">
                      Remember me
                    </label>
                  </div>
                </div>
              </div>
          </div>
        </div>
      </nav>
    </div>
      <div class="columns is-mobile  has-text-centered forecast" v-if="forecast">
        <div class="column forecast-item" v-for="(item, i) in forecast" :key="i">
          <div class="tag is-rounded">{{item.day}}</div>
          <div class="icon forecast-icon">
            <i class="weather weather-cloud"></i>
          </div>
          <div class="temperature"><strong>{{item.high}}°</strong> {{item.low}}°</div>
        </div>
      </div>
  </div>
</template>

<script>

import axios from 'axios'

export default {
  name: 'weatherApp',
  props: {
    name: {
      type: String,
      default: ''
    },
    background: {
      type: String,
      default: ''
    }
  },
  data() {
    return {
      yahooApi: "https://query.yahooapis.com/v1/public/yql",
      query: "select * from weather.forecast where woeid=107681",
      error: false,
      ready: false,
      forecast: null
    }
  },
  created: function(){
    this.fetchYahooData();
  },
  methods: {
    fetchYahooData: function(){
      let yahooApi= this.yahooApi;
      let query= this.query;
      let _this= this;

      axios.get(yahooApi, {
        params: {
          q: query,
          format: 'json'
        }
      }).then( (response) => {
        let weather= response.data.query.results.channel;
         _this.error= false;
         _this.prepareYahooData(weather)
      }).catch((err) => {
         _this.error= true;
      })
    },
    prepareYahooData: function(weather){
      console.log(weather)
      if(weather && weather.item){
        this.forecast= weather.item.forecast.splice(0, 5);
        let condition= weather.item.condition;

        this.$emit('weather', condition);
      }
    },
    test: function(){
      var out="";
        navigator.geolocation.getCurrentPosition( position  => {
            out = "Latitude: " + position.coords.latitude +
            " Longitude: " + position.coords.longitude;
            console.log(out)
        })
    }
  },
  computed: {
  }
}
</script>

<style scoped lang="scss">
.weather-app {
  width: 24rem;
  .condition {
    background-size: cover;
    background-image: url('https://source.unsplash.com/HpiYsNBORAw/384x192');
    height: 12rem;
  }
  .forecast {
    padding: .5rem!important;
    margin:0!important;
    .forecast-item{
      padding: .25rem!important;
      .forecast-icon{
        margin: .5rem auto;
        display: block;
      }
    }
  }
}
</style>
